//
//  avatar.hpp
//  emptyExample
//
//  Created by Sebastian Holzki on 17.04.19.
//

#pragma once
#include <stdio.h>
#include "ofMain.h"




class Avatar {
    
    
public:
    
    Avatar(int playerType);
    ~Avatar();
    
    void setup(int playerType);
    void update();
    void draw();
    
    void setPlayerType();
    int getPlayerType();
    
    ofVec2f getPosition();
    void setPosition(int x, int y);
    void setPosition(ofVec2f position);
    
    
    void clipToAvatar(Avatar avatar);   //A particular avatar can clip its position, depending on the position of another avatar, compared to a beehive-structure)

    
    
private:
    
    ofImage icon;
    int playerType;
    ofVec2f position;
    
    
    
    
    
    
};

