//
//  visitor.hpp
//  particle_combined
//
//  Created by Sebastian Holzki on 11.06.19.
//


#pragma once
#include <stdio.h>
#include "ofMain.h"




class Visitor {
    
    
public:
    
    Visitor();
    ~Visitor();
    
    void setup();
    void setup(float _x, float _y);
    void update();
    void draw();
    
    
    //GETTERS
    ofVec2f getPosition();
    float getX();
    float getY();
    
    //SETTERS
    void setPosition(float x, float y);
    void setPosition(ofVec2f position);
    void setX(float _x);
    void setY(float _y);
    
    
private:
    
    ofVec2f position;
    
    
};
